;
; UPDDMOV3.INF
;
; Universal Pointer Device Driver
; Mouse class controllers & non-PNP
;
; Copyright (c) Touch-Base Ltd
;

[Version]
Signature=$CHICAGO$
#IF xUNSIGNED
Class=Updd
ClassGUID={FD6DAB2A-282E-4FDA-96E9-F98E4B111A32}
#ELSE
Class=Mouse
ClassGUID={4D36E96F-E325-11CE-BFC1-08002BE10318}
#ENDIF
Provider=%COMPANYNAME%
%%DRIVERVER
CatalogFile=upddv364.cat

;
[ControlFlags]
ExcludeFromSelect=*UPDDPNP
;
[Manufacturer]
%COMPANYKEY%=CONTROLLERS,NTamd64
;

#IF xUNSIGNED
[ClassInstall32]
AddReg=UPDDClassAddReg

[UPDDClassAddReg]
HKR,,,,"Updd"
HKR,,SilentInstall,,1
HKR,,NoInstallClass,,1
HKR,,Icon,,"-2"

#ENDIF


[UPDD]
#IF W2K
include=msmouse.inf
needs=MouClass.Services
include=input.inf
needs=MouClass.Services
#ENDIF
#IF W98
AddReg=UPDD.AddReg,UPDD.AddRegDevice,UPDD.AddRegCommon

[UPDD.AddReg]
HKR,,DevLoader,,*ntkern
HKR,,NTMPDriver,,TBUPDDW8.sys
#ENDIF
#IF W95
AddReg=UPDD.AddReg,UPDD.AddRegCommon,UPDD.AddRegDevice

[UPDD.AddReg]
HKR,,DevLoader,0,*vmouse
HKR,,MouseDriver,0,tbupdd95.vxd
HKR,,NoSetupUI,0,1
#ENDIF

#IF PENX
#IF W2K
[UPDD.HW]
AddReg=UPDDAddRegPENXW2K 
#ENDIF
#ENDIF
;
#IF W2K
[UPDD.Services]
AddService = tbupddsu, 0x0000000A, tbupdd_Service_Inst 
#IF PENX
AddService = moufiltr,, moufiltr_Service_Inst 
#ENDIF
#ENDIF
;
#IF PENX
#IF W2K
[UPDDAddRegPENXW2K] 
HKR,,"UpperFilters",0x00010000,"moufiltr" ; 
#ENDIF
#ENDIF
;		  
#EACH

[UPDD%EACHITEM%]
%%COPYFILESITEM

#IF W98
AddReg=UPDD.AddReg,UPDD.AddRegDevice,UPDD.AddRegCommon
#ENDIF
#IF W2K
include=msmouse.inf
needs=MouClass.Services
#ENDIF
#IF LOGCONF
LogConfig=UPDD%EACHITEM%.LC

[UPDD%EACHITEM%.LC]
%%LOGCONF
#ENDIF

#IF W2K
[UPDD%EACHITEM%.Services]
AddService = tbupddsu, 0x0000000A, tbupdd_Service_Inst 
#ENDIF

#ENDEACH

;
#IF W2K
[tbupdd_Service_Inst]
DisplayName    = %UPDDNAME%
ServiceType    = 1                  ; SERVICE_KERNEL_DRIVER
StartType      = 3                  ; SERVICE_SYSTEM_MANUAL
ErrorControl   = 1                  ; SERVICE_ERROR_NORMAL
AddReg=UPDD.AddRegDevice,UPDD.AddRegCommon
ServiceBinary  = %12%\tbupddsu.sys
;
#IF PENX
[moufiltr_Service_Inst]
DisplayName    = "Mouse filter"
ServiceType    = 1     ; SERVICE_KERNEL_DRIVER
StartType      = 3     ; SERVICE_DEMAND_START
ErrorControl   = 1     ; SERVICE_ERROR_NORMAL
ServiceBinary  = %12%\moufiltr.sys
#ENDIF
#ENDIF

[UPDD.AddRegDevice]
#IF MAKEINF
%%REG
#ENDIF
;
[UPDD.AddRegCommon]

#IF MAKEINF
HKLM,"Software\Microsoft\Windows\CurrentVersion\Uninstall\TBUPDDV3","DisplayName",0,%UPDDNAME%
HKLM,"Software\Microsoft\Windows\CurrentVersion\Uninstall\TBUPDDV3","UninstallString",0,%24%\%APPDIR%"\tbmorph uninstall-[LANG].umd"
HKLM,"SOFTWARE\Microsoft\Windows\CurrentVersion\Run","TBSysTry",0,%24%\%APPDIR%"\TBSysTry.exe"
HKLM,"SOFTWARE\Microsoft\Windows\CurrentVersion\RunOnce","TBSysTry",0,"rundll32.exe tbinf.dll,StartDaemon"
#ENDIF

#IF MAKEINF
[DestinationDirs]
%%DESTINATIONDIRS

%%COPYFILESSECTIONS

[SourceDisksNames]
%%SOURCEDISKSNAMES

[SourceDisksFiles]
%%SOURCEDISKSFILES
#ENDIF

;
[CONTROLLERS.NTamd64]
%UPDDNAME%=UPDD,*UPDDPNP
%%CONTROLLERS
;
[Strings]
COMPANYKEY="Touch-Base"
COMPANYNAME="Touch-Base Ltd"
#IF W2K
APPDIR="Program Files\UPDD"
#ELSE
APPDIR="Progra~1\UPDD"
#ENDIF
#IF PENX
UPDDNAME="Universal Pointer Device Driver + CIC PenX"
#ELSE
UPDDNAME="Universal Pointer Device Driver"
#ENDIF
%%SOURCEDISKSTRINGS
